Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.jms.extensions
Interface ServerSessionPoolListener

All Superinterfaces:
  MessageListener

public interface ServerSessionPoolListener
extends MessageListener

Listener interface for MessageListeners used by a ServerSessionPool.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `initialize(Serializable userData)` MessageListeners for a ServerSessionPool are instantiated by the ServerSessionPool (not the client).

Methods inherited from interface javax.jms.MessageListener
`onMessage`

Method Detail

### initialize

    public void initialize(Serializable userData)
                    throws JMSException

  MessageListeners for a ServerSessionPool are instantiated by the ServerSessionPool (not the client). Client cannot pass parameters into the constructor and access them from the onMessage routine.

  This interface allows clients to pass a single parameter to the MessageListener. Specifically, a client must call the createServerSessionPool method from their ServerSessionPoolFactory and pass in the clientData. The `clientData` must implement the Serializable interface.

  Once the ServerSessionPool is created, it checks to see if the MessageListener is a ServerSessionPoolListener. If it is, then the ServerSessionPool calls the intialize method for the listener to pass in the `clientData` .

  The client implementation of the initialize method typically saves a reference to the data for use by the onMessage method.

  Throws:
    `JMSException` - if an error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD